haoer6238 发表于 2014-9-27 17:55:52

删除所有的草图几何关系?

各位高手,我是初学者,想问个问题:
如何在装配图中删除所有零件特征中的草图的几何关系(关联的,或外部引用的)?就是把草图中的几何关系,要么全删除,要么删除外部关联的。谢谢各位,请给点指点。手工删除太麻烦了

haoer6238 发表于 2014-9-28 09:16:58

哪位高手给解决一下啊?!不胜感激

haoer6238 发表于 2014-9-28 13:03:03

刚刚查看了API,需要用到SketchConstraintsDelAll方法,我录制了宏,但运行宏却没有翻译,哪位给解决一下,代码如下:
Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = _
Application.SldWorks

Set Part = swApp.ActiveDoc
boolstatus = Part.Extension.SelectByID2("拉伸1", "BODYFEATURE", 0, 0, 0, False, 0, Nothing, 0)
Part.FeatEdit
Part.ClearSelection2 True
Part.SketchConstraintsDelAll
Part.SketchManager.InsertSketch True
End Sub

hdgd501 发表于 2019-8-8 16:34:52

期待高手的出现:):):):):)

zengqh0314 发表于 2019-9-11 16:41:24

这个可以的,我最近才用过。

Dim vSketchSeg As Object

      Dim swSketchSeg As SketchSegment
      vSketchSeg = swSketch.GetSketchSegments


      Dim swSelData As SelectData = swSelMgr.CreateSelectData
      Dim vSketchPt As Object
      Dim swSketchPt As SketchPoint
      Dim bRet As Boolean
      For i = 0 To UBound(vSketchSeg)
            swSketchSeg = vSketchSeg(i)

            bRet = swSketchSeg.Select4(False, swSelData)
            ' Debug.Assert(bRet)
            swModel.SketchConstraintsDelAll()
      Next i

      vSketchPt = swSketch.GetSketchPoints2
      For i = 0 To UBound(vSketchPt)
            swSketchPt = vSketchPt(i)
            bRet = swSketchPt.Select4(False, swSelData)
            'Debug.Assert(bRet)
            swModel.SketchConstraintsDelAll()
      Next i
      ' Exit sketch
      swModel.InsertSketch2(True)


      swModel.ClearSelection2(True)

hdgd501 发表于 2019-9-11 20:51:12

zengqh0314,你的是什么程序代码,报错

zengqh0314 发表于 2019-9-11 20:56:05

本帖最后由 zengqh0314 于 2019-9-11 20:57 编辑

hdgd501 发表于 2019-9-11 20:51
zengqh0314,你的是什么程序代码,报错
看关键点,swModel自己处理,我这是vb.net的.
页: [1]
查看完整版本: 删除所有的草图几何关系?